Peplink Portal Docs
Places

Retrieve a Place

Retrieve the address details of a place by its place ID.

Required Capabilities

Starlink Viewer

Request

GET/starlink/places/{placeId}

Path parameters

placeIdstringrequired

ID of the place to retrieve.

Query parameters

sessionTokenstringrequired

A user-generated string to track the auto-complete UI session. If you are not building auto-complete input, pass an unique UUID token value. More details.

Response

A json is returned in the response body with the following fields:

placeIdstring

Google Place ID of the place.

linestring

Primary address line of the place.

localitynullable string

Locality of the place (e.g. city).

administrativeAreaLabelnullable string

Human-readable label for the administrative area (e.g. state or province name).

administrativeAreaCodenullable string

Administrative area code of the place (e.g. state or province code).

postalCodenullable string

Postal code of the place.

regionCodenullable string

Region code of the place (e.g. country code).

latitudenumber

Latitude coordinate of the place.

longitudenumber

Longitude coordinate of the place.

formattedAddressstring

Full formatted address of the place.

googlePlaceApiResponseJsonTextstring

Raw JSON response text from the Google Place API.

Examples

Request

curl -X GET 'https://portal.peplink.com/api/e/v1/cp/starlink/places/{placeId}?sessionToken={session-token}' \  -H 'Authorization: Bearer {token}'

Response

{
  "placeId": "ChIJ4wSnt_xHyIkR4A8vPHzQmS4",
  "line": "Westminster",
  "locality": "Westminster",
  "administrativeAreaLabel": "Maryland",
  "administrativeAreaCode": "MD",
  "postalCode": null,
  "regionCode": "US",
  "latitude": 39.5753791,
  "longitude": -76.9958149,
  "formattedAddress": "Westminster, MD, USA",
  "googlePlaceApiResponseJsonText": "{...}"
}

On this page